cascading.util

## Class TraceUtil

- java.lang.Object
- - cascading.util.TraceUtil

    public class TraceUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TraceUtil()`

### Method Summary

Methods
`static java.lang.String` `captureDebugTrace(java.lang.Object target)`
`static java.lang.String` `formatRawTrace(Pipe pipe, java.lang.String message)` Method formatRawTrace does not include the pipe name
`static java.lang.String` `formatTrace(FlowElement flowElement, java.lang.String message)`
`static java.lang.String` `formatTrace(Operation operation, java.lang.String message)`
`static java.lang.String` `formatTrace(Pipe pipe, java.lang.String message)`
`static java.lang.String` `formatTrace(Scheme scheme, java.lang.String message)`
`static java.lang.String` `formatTrace(Tap tap, java.lang.String message)`
`static java.lang.String` `formatTraces(java.util.Collection<FlowElement> flowElements, java.lang.String delim)`
`static void` `registerApiBoundary(java.lang.String apiBoundary)` Add a regex that serves as a boundary for tracing.
`static void` `setTrace(java.lang.Object object, java.lang.String trace)` Allows for custom trace fields on Pipe, Tap, and Scheme types
`static java.lang.String` `stringifyStackTrace(java.lang.Throwable throwable, java.lang.String lineSeparator, boolean trimLines, int lineLimit)`
`static void` `unregisterApiBoundary(java.lang.String apiBoundary)` Remove a regex as a boundary for tracing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceUtil

    public TraceUtil()

### Method Detail

#### registerApiBoundary

    public static void registerApiBoundary(java.lang.String apiBoundary)

Add a regex that serves as a boundary for tracing. That is to say any trace captured by `captureDebugTrace(Object)` will be from a caller that comes higher in the stack than any apiBoundary package or class.

Parameters:
  `apiBoundary` -

#### unregisterApiBoundary

    public static void unregisterApiBoundary(java.lang.String apiBoundary)

Remove a regex as a boundary for tracing. See registerApiBoundary.

Parameters:
  `apiBoundary` -

#### setTrace

    public static void setTrace(java.lang.Object object,
                java.lang.String trace)

Allows for custom trace fields on Pipe, Tap, and Scheme types

Parameters:
  `object` -
  `trace` -

#### formatTraces

    public static java.lang.String formatTraces(java.util.Collection<FlowElement> flowElements,
                                java.lang.String delim)

#### formatTrace

    public static java.lang.String formatTrace(Scheme scheme,
                               java.lang.String message)

#### formatTrace

    public static java.lang.String formatTrace(FlowElement flowElement,
                               java.lang.String message)

#### formatRawTrace

    public static java.lang.String formatRawTrace(Pipe pipe,
                                  java.lang.String message)

Method formatRawTrace does not include the pipe name

Parameters:
  `pipe` - of type Pipe
  `message` - of type String
Returns:
  String

#### formatTrace

    public static java.lang.String formatTrace(Pipe pipe,
                               java.lang.String message)

#### formatTrace

    public static java.lang.String formatTrace(Tap tap,
                               java.lang.String message)

#### formatTrace

    public static java.lang.String formatTrace(Operation operation,
                               java.lang.String message)

#### captureDebugTrace

    public static java.lang.String captureDebugTrace(java.lang.Object target)

#### stringifyStackTrace

    public static java.lang.String stringifyStackTrace(java.lang.Throwable throwable,
                                       java.lang.String lineSeparator,
                                       boolean trimLines,
                                       int lineLimit)